  <IfModule mod_rewrite.c>
       RewriteEngine On
       RewriteMap tolowercase int:tolower
       RewriteRule ^(.*\/)forum-([-0-9]+)\/?$ $1index.php?__is_iis_rewrite=1&__rewrite_arg=$2
       RewriteRule ^(.*\/)board-([-0-9]+)\/?$ $1dispbbs.php?__is_iis_rewrite=1&__rewrite_arg=$2
       RewriteRule ^(.*\/)([_a-zA-Z]+)-([-0-9]+)\/?$ $1$2.php?__is_iis_rewrite=1&__rewrite_arg=$3
       RewriteRule ^(.*\/index|dispbbs)-([-0-9]+)\.html$ $1.php?__is_iis_rewrite=1&__rewrite_arg=$2
       RewriteRule ^(.*\/index|dispbbs)-([^\.]*)\.html$ $1.php?$2
       RewriteRule ^(.*[^/]?/)rw(f.*)$ $1index.php?__is_apache_rewrite=1&rewrite_url=$2 [L]
       RewriteRule ^(.*[^/]?/)rw(b.*)$ $1dispbbs.php?__is_apache_rewrite=1&rewrite_url=$2 [L]
       RewriteRule ^(.*[^/]?/)rw(s.*)$ $1savvy_dispbbs.php?__is_apache_rewrite=1&rewrite_url=$2 [L]
       RewriteRule ^(.*[^/]?/)rw(d.*)$ $1dispargue.php?__is_apache_rewrite=1&rewrite_url=$2 [L]
  </IfModule>